//*********************************************
//         SHADER
//*********************************************
//	ID		:	lib1_liquid.shader
//	Autor	:	tremap
//	Date	:	00.00.0000 (m.d.y)
//	Version	:	0.0.1
//	History	:	none
//	Copyleft:
//*********************************************
//	alpha	:	_a
//	diffuse :	_d
//	height	:	_h
//	normal	:	_n
//	shader	:	_s
//	specular:	_p
//*********************************************
//	INDEX	18
//	|--	LIQUID	41
//	|	|--	yellow	--	wave: 	face: 	pipe: 	fog: 
//	|	|--	blue	--	wave: 	face: 	pipe: 	fog: 
//	|	|--	red		--	wave: 	face: 	pipe: 	fog: 
//	|	|--	green	--	wave: 	face: 	pipe: 	fog: 
//	|--	SLIME	893
//		|--	yellow	--	wave: 	face: 	pipe: 
//		|--	blue	--	wave: 	face: 	pipe: 
//		|--	red		--	wave: 	face: 	pipe: 
//		|--	green	--	wave: 	face: 	pipe: 
//*********************************************
	//deformVertexes wave 128 sin <base> <amplitude> <phase (0.0-1)> <frequency>
	//	wave (methode) 128 nombre de vague
	//	base:		niveau au depart du cycle
	//	ampl:		hauteur des cretes des vagues
	//	phas:		niveau du cycle quand map charge (0=0% / 0.1=10% / ...)
	//	freq:		vitesse des vagues (pour faire simple)
	//tessize:		32/64/128/256	methode decoupage
	//q3map_fur <nombre de couches> <hauteur> <adoucissement>
	//tcMod turb <base> <amplitude> <phase> <freq>
//
//---------------------------------------------
//-- LIQUID
//---------------------------------------------
//
//-- liquid -- yellow -- wave
//---------------------------------------------
textures/lib1_liquid/liquid01a_0s1
{	//no wave
	qer_editorimage textures/lib1_liquid/blend/liquid01a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid01a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 .4 .02
	}
	{
		map textures/lib1_liquid/blend/liquid01asubwave_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
		tcMod turb 0 .2 .2 .04
	}
}
textures/lib1_liquid/liquid01a_4s1
{	//vawe 4
	qer_editorimage textures/lib1_liquid/blend/liquid01a_d1.tga
	qer_trans 0.6
		q3map_cloneshader textures/lib1_liquid/liquid01asubwave_2s1
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 64
	deformVertexes wave 128 sin 0 4 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/liquid01a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/liquid01a_8s1
{		//wave 8
	qer_editorimage textures/lib1_liquid/blend/liquid01a_d1.tga
	qer_trans 0.6
		q3map_cloneshader textures/lib1_liquid/liquid01asubwave_2s1
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 128
	deformVertexes wave 256 sin 0 8 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/liquid01a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/liquid01asubwave_2s1
{	//subwave
	qer_editorimage textures/lib1_liquid/blend/liquid01asubwave_d1.tga
	qer_trans 0.5
	q3map_fur 1 -4 0
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 32
	deformVertexes wave 128 sin 0 2 0 0.6
	cull none
	{
		map textures/lib1_liquid/blend/liquid01asubwave_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.3 0.3 0.3 )
		tcmod scroll .01 .04
		tcMod turb 0 .2 0 .04
	}
}
//-- liquid -- yellow -- face
//---------------------------------------------
textures/lib1_liquid/liquid01aface_4s1
{	//liquid face
	qer_editorimage textures/lib1_liquid/blend/liquid01a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid01a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .04
		tcMod turb 0 .2 0 .02
	}
}
textures/lib1_liquid/liquid01aface_8s1
{	//liquid face
	qer_editorimage textures/lib1_liquid/blend/liquid01a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid01a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .08
		tcMod turb 0 .2 0 .04
	}
}
//-- liquid -- yellow -- pipe
//---------------------------------------------
textures/lib1_liquid/liquid01apipe_4s1
{	//liquid pipe
	qer_editorimage textures/lib1_liquid/blend/liquid01apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid01apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .02 .04
	}
}
textures/lib1_liquid/liquid01apipe_8s1
{	//liquid pipe
	qer_editorimage textures/lib1_liquid/blend/liquid01apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid01apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .04 .08
	}
}
textures/lib1_liquid/liquid01atube_4s1
{	//liquid tube
	qer_editorimage textures/lib1_liquid/blend/liquid01apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid01apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
	}
	{
		map textures/lib1_liquid/blend/liquid01apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll -.02 .02
	}
}
//-- liquid -- yellow -- fog
//---------------------------------------------
textures/lib1_liquid/liquid01afog_3s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid01afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .6 .4 .2 ) 300
	cull none
}
textures/lib1_liquid/liquid01afog_6s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid01afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .6 .4 .2 ) 600
	cull none
}
textures/lib1_liquid/liquid01afog_9s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid01afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .6 .4 .2 ) 900
	cull none
}
//-- liquid -- blue -- wave
//---------------------------------------------
textures/lib1_liquid/liquid02a_0s1
{	//no wave
	qer_editorimage textures/lib1_liquid/blend/liquid02a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid02a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 .4 .02
	}
	{
		map textures/lib1_liquid/blend/liquid02asubwave_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
		tcMod turb 0 .2 .2 .04
	}
}
textures/lib1_liquid/liquid02a_4s1
{	//vawe 4
	qer_editorimage textures/lib1_liquid/blend/liquid02a_d1.tga
	qer_trans 0.6
		q3map_cloneshader textures/lib1_liquid/liquid02asubwave_2s1
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 64
	deformVertexes wave 128 sin 0 4 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/liquid02a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/liquid02a_8s1
{		//wave 8
	qer_editorimage textures/lib1_liquid/blend/liquid02a_d1.tga
	qer_trans 0.6
		q3map_cloneshader textures/lib1_liquid/liquid02asubwave_2s1
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 128
	deformVertexes wave 256 sin 0 8 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/liquid02a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/liquid02asubwave_2s1
{	//subwave
	qer_editorimage textures/lib1_liquid/blend/liquid02asubwave_d1.tga
	qer_trans 0.5
	q3map_fur 1 -4 0
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 32
	deformVertexes wave 128 sin 0 2 0 0.6
	cull none
	{
		map textures/lib1_liquid/blend/liquid02asubwave_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.3 0.3 0.3 )
		tcmod scroll .01 .04
		tcMod turb 0 .2 0 .04
	}
}
//-- liquid -- blue -- face
//---------------------------------------------
textures/lib1_liquid/liquid02aface_4s1
{	//liquid face
	qer_editorimage textures/lib1_liquid/blend/liquid02a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid02a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .04
		tcMod turb 0 .2 0 .02
	}
}
textures/lib1_liquid/liquid02aface_8s1
{	//liquid face
	qer_editorimage textures/lib1_liquid/blend/liquid02a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid02a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .08
		tcMod turb 0 .2 0 .04
	}
}
//-- liquid -- blue -- pipe
//---------------------------------------------
textures/lib1_liquid/liquid02apipe_4s1
{	//liquid pipe
	qer_editorimage textures/lib1_liquid/blend/liquid02apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid02apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .02 .04
	}
}
textures/lib1_liquid/liquid02apipe_8s1
{	//liquid pipe
	qer_editorimage textures/lib1_liquid/blend/liquid02apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid02apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .04 .08
	}
}
textures/lib1_liquid/liquid02atube_4s1
{	//liquid tube
	qer_editorimage textures/lib1_liquid/blend/liquid02apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid02apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
	}
	{
		map textures/lib1_liquid/blend/liquid02apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll -.02 .02
	}
}
//-- liquid -- blue -- fog
//---------------------------------------------
textures/lib1_liquid/liquid02afog_3s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid02afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .3 .5 .8 ) 300
	cull none
}
textures/lib1_liquid/liquid02afog_6s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid02afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .3 .5 .8 ) 600
	cull none
}
textures/lib1_liquid/liquid02afog_9s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid02afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .3 .5 .8 ) 900
	cull none
}
//-- liquid -- red -- wave
//---------------------------------------------
textures/lib1_liquid/liquid03a_0s1
{	//no wave
	qer_editorimage textures/lib1_liquid/blend/liquid03a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid03a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 .4 .02
	}
	{
		map textures/lib1_liquid/blend/liquid03asubwave_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
		tcMod turb 0 .2 .2 .04
	}
}
textures/lib1_liquid/liquid03a_4s1
{	//vawe 4
	qer_editorimage textures/lib1_liquid/blend/liquid03a_d1.tga
	qer_trans 0.6
		q3map_cloneshader textures/lib1_liquid/liquid03asubwave_2s1
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 64
	deformVertexes wave 128 sin 0 4 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/liquid03a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/liquid03a_8s1
{		//wave 8
	qer_editorimage textures/lib1_liquid/blend/liquid03a_d1.tga
	qer_trans 0.6
		q3map_cloneshader textures/lib1_liquid/liquid03asubwave_2s1
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 128
	deformVertexes wave 256 sin 0 8 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/liquid03a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/liquid03asubwave_2s1
{	//subwave
	qer_editorimage textures/lib1_liquid/blend/liquid03asubwave_d1.tga
	qer_trans 0.5
	q3map_fur 1 -4 0
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 32
	deformVertexes wave 128 sin 0 2 0 0.6
	cull none
	{
		map textures/lib1_liquid/blend/liquid03asubwave_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.3 0.3 0.3 )
		tcmod scroll .01 .04
		tcMod turb 0 .2 0 .04
	}
}
//-- liquid -- red -- face
//---------------------------------------------
textures/lib1_liquid/liquid03aface_4s1
{	//liquid face
	qer_editorimage textures/lib1_liquid/blend/liquid03a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid03a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .04
		tcMod turb 0 .2 0 .02
	}
}
textures/lib1_liquid/liquid03aface_8s1
{	//liquid face
	qer_editorimage textures/lib1_liquid/blend/liquid03a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid03a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .08
		tcMod turb 0 .2 0 .04
	}
}
//-- liquid -- red -- pipe
//---------------------------------------------
textures/lib1_liquid/liquid03apipe_4s1
{	//liquid pipe
	qer_editorimage textures/lib1_liquid/blend/liquid03apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid03apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .02 .04
	}
}
textures/lib1_liquid/liquid03apipe_8s1
{	//liquid pipe
	qer_editorimage textures/lib1_liquid/blend/liquid03apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid03apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .04 .08
	}
}
textures/lib1_liquid/liquid03atube_4s1
{	//liquid tube
	qer_editorimage textures/lib1_liquid/blend/liquid03apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid03apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
	}
	{
		map textures/lib1_liquid/blend/liquid03apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll -.02 .02
	}
}
//-- liquid -- red -- fog
//---------------------------------------------
textures/lib1_liquid/liquid03afog_3s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid03afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .8 .3 .3 ) 300
	cull none
}
textures/lib1_liquid/liquid03afog_6s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid03afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .8 .3 .3 ) 600
	cull none
}
textures/lib1_liquid/liquid03afog_9s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid03afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .8 .3 .3 ) 900
	cull none
}
//-- liquid -- green -- wave
//---------------------------------------------
textures/lib1_liquid/liquid05a_0s1
{	//no wave
	qer_editorimage textures/lib1_liquid/blend/liquid05a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid05a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 .4 .02
	}
	{
		map textures/lib1_liquid/blend/liquid05asubwave_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
		tcMod turb 0 .2 .2 .04
	}
}
textures/lib1_liquid/liquid05a_4s1
{	//vawe 4
	qer_editorimage textures/lib1_liquid/blend/liquid05a_d1.tga
	qer_trans 0.6
		q3map_cloneshader textures/lib1_liquid/liquid05asubwave_2s1
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 64
	deformVertexes wave 128 sin 0 4 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/liquid05a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/liquid05a_8s1
{		//wave 8
	qer_editorimage textures/lib1_liquid/blend/liquid05a_d1.tga
	qer_trans 0.6
		q3map_cloneshader textures/lib1_liquid/liquid05asubwave_2s1
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 128
	deformVertexes wave 256 sin 0 8 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/liquid05a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/liquid05asubwave_2s1
{	//subwave
	qer_editorimage textures/lib1_liquid/blend/liquid05asubwave_d1.tga
	qer_trans 0.5
	q3map_fur 1 -4 0
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 32
	deformVertexes wave 128 sin 0 2 0 0.6
	cull none
	{
		map textures/lib1_liquid/blend/liquid05asubwave_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.3 0.3 0.3 )
		tcmod scroll .01 .04
		tcMod turb 0 .2 0 .04
	}
}
//-- liquid -- green -- face
//---------------------------------------------
textures/lib1_liquid/liquid05aface_4s1
{	//liquid face
	qer_editorimage textures/lib1_liquid/blend/liquid05a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid05a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .04
		tcMod turb 0 .2 0 .02
	}
}
textures/lib1_liquid/liquid05aface_8s1
{	//liquid face
	qer_editorimage textures/lib1_liquid/blend/liquid05a_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid05a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .08
		tcMod turb 0 .2 0 .04
	}
}
//-- liquid -- green -- pipe
//---------------------------------------------
textures/lib1_liquid/liquid05apipe_4s1
{	//liquid pipe
	qer_editorimage textures/lib1_liquid/blend/liquid05apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid05apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .02 .04
	}
}
textures/lib1_liquid/liquid05apipe_8s1
{	//liquid pipe
	qer_editorimage textures/lib1_liquid/blend/liquid05apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid05apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .04 .08
	}
}
textures/lib1_liquid/liquid05atube_4s1
{	//liquid tube
	qer_editorimage textures/lib1_liquid/blend/liquid05apipe_d1.tga
	qer_trans 0.6
		q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	cull none
	{
		map textures/lib1_liquid/blend/liquid05apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
	}
	{
		map textures/lib1_liquid/blend/liquid05apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll -.02 .02
	}
}
//-- liquid -- green -- fog
//---------------------------------------------
textures/lib1_liquid/liquid05afog_3s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid05afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .3 .8 .3 ) 300
	cull none
}
textures/lib1_liquid/liquid05afog_6s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid05afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .3 .8 .3 ) 600
	cull none
}
textures/lib1_liquid/liquid05afog_9s1
{	//fog for liquid
	qer_editorimage textures/lib1_liquid/blend/liquid05afog_d1.tga
	qer_trans 0.2
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	fogparms ( .3 .8 .3 ) 900
	cull none
}
//---------------------------------------------
//-- SLIME
//---------------------------------------------
//
//-- slime -- yellow -- wave
//---------------------------------------------
textures/lib1_liquid/slime01a_0s1
{	//no wave
	qer_editorimage textures/lib1_liquid/blend/slime01a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime01a_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime01a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
		tcMod turb 0 .2 .2 .04
	}
	{
		map textures/lib1_liquid/blend/slime01asubwave_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 .4 .02
	}
}
textures/lib1_liquid/slime01a_4s1
{	//wave 4
	qer_editorimage textures/lib1_liquid/blend/slime01a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime01a_d1.tga
		q3map_cloneshader textures/lib1_liquid/slime01asubwave_2s1
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 64
	deformVertexes wave 128 sin 0 4 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/slime01a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 .4 .02
	}
}
textures/lib1_liquid/slime01a_8s1
{	//wave 8
	qer_editorimage textures/lib1_liquid/blend/slime01a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime01a_d1.tga
		q3map_cloneshader textures/lib1_liquid/slime01asubwave_2s1
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 64
	deformVertexes wave 256 sin 0 8 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/slime01a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/slime01asubwave_2s1
{	//subwave
	qer_editorimage textures/lib1_liquid/blend/slime01asubwave_d1.tga
	qer_trans 0.5
		q3map_lightimage textures/lib1_liquid/blend/slime01a_d1.tga
		q3map_fur 1 -4 0
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 32
	deformVertexes wave 128 sin 0 2 0 0.6
	cull none
	{
		map textures/lib1_liquid/blend/slime01asubwave_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll .02 .04
		tcMod turb 0 .2 .2 .04
	}
}
//-- slime -- yellow -- face
//---------------------------------------------
textures/lib1_liquid/slime01aface_4s1
{	//slime face
	qer_editorimage textures/lib1_liquid/blend/slime01aface_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime01aface_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime01aface_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .04
		tcMod turb 0 .2 0 .02
	}
}
textures/lib1_liquid/slime01aface_8s1
{	//slime face
	qer_editorimage textures/lib1_liquid/blend/slime01aface_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime01aface_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime01aface_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .08
		tcMod turb 0 .2 0 .04
	}
}
//-- slime -- yellow -- pipe
//---------------------------------------------
textures/lib1_liquid/slime01apipe_4s1
{	//slime pipe
	qer_editorimage textures/lib1_liquid/blend/slime01apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime01apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime01apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .02 .04
	}
}
textures/lib1_liquid/slime01apipe_8s1
{	//slime pipe
	qer_editorimage textures/lib1_liquid/blend/slime01apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime01apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime01apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .04 .08
	}
}
textures/lib1_liquid/slime01atube_4s1
{	//slime tube
	qer_editorimage textures/lib1_liquid/blend/slime01apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime01apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime01apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
	}
	{
		map textures/lib1_liquid/blend/slime01apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll -.02 .02
	}
}
//-- slime -- blue -- wave
//---------------------------------------------
textures/lib1_liquid/slime02a_0s1
{	//no wave
	qer_editorimage textures/lib1_liquid/blend/slime02a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime02a_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime02a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
		tcMod turb 0 .2 .2 .04
	}
	{
		map textures/lib1_liquid/blend/slime02asubwave_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll .02 .02
		tcMod turb 0 .2 .4 .02
	}
}
textures/lib1_liquid/slime02a_4s1
{	//wave 4
	qer_editorimage textures/lib1_liquid/blend/slime02a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime02a_d1.tga
		q3map_cloneshader textures/lib1_liquid/slime02asubwave_2s1
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 64
	deformVertexes wave 128 sin 0 4 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/slime02a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .02
		tcMod turb 0 .2 .4 .02
	}
}
textures/lib1_liquid/slime02a_8s1
{	//wave 8
	qer_editorimage textures/lib1_liquid/blend/slime02a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime02a_d1.tga
		q3map_cloneshader textures/lib1_liquid/slime02asubwave_2s1
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 64
	deformVertexes wave 256 sin 0 8 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/slime02a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/slime02asubwave_2s1
{	//subwave
	qer_editorimage textures/lib1_liquid/blend/slime02asubwave_d1.tga
	qer_trans 0.5
		q3map_lightimage textures/lib1_liquid/blend/slime02a_d1.tga
		q3map_fur 1 -4 0
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 32
	deformVertexes wave 128 sin 0 2 0 0.6
	cull none
	{
		map textures/lib1_liquid/blend/slime02asubwave_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll .02 .04
		tcMod turb 0 .2 .2 .04
	}
}
//-- slime -- blue -- face
//---------------------------------------------
textures/lib1_liquid/slime02aface_4s1
{	//slime face
	qer_editorimage textures/lib1_liquid/blend/slime02aface_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime02aface_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime02aface_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .04
		tcMod turb 0 .2 0 .02
	}
}
textures/lib1_liquid/slime02aface_8s1
{	//slime face
	qer_editorimage textures/lib1_liquid/blend/slime02aface_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime02aface_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime02aface_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .08
		tcMod turb 0 .2 0 .04
	}
}
//-- slime -- blue -- pipe
//---------------------------------------------
textures/lib1_liquid/slime02apipe_4s1
{	//slime pipe
	qer_editorimage textures/lib1_liquid/blend/slime02apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime02apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime02apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .02 .04
	}
}
textures/lib1_liquid/slime02apipe_8s1
{	//slime pipe
	qer_editorimage textures/lib1_liquid/blend/slime02apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime02apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime02apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .04 .08
	}
}
textures/lib1_liquid/slime02atube_4s1
{	//slime tube
	qer_editorimage textures/lib1_liquid/blend/slime02apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime02apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime02apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
	}
	{
		map textures/lib1_liquid/blend/slime02apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll -.02 .02
	}
}
//-- slime -- red -- wave
//---------------------------------------------
textures/lib1_liquid/slime03a_0s1
{	//no wave
	qer_editorimage textures/lib1_liquid/blend/slime03a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime03a_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime03a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .03 .04
		tcMod turb 0 .2 .2 .04
	}
	{
		map textures/lib1_liquid/blend/slime03asubwave_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll .03 .03
		tcMod turb 0 .2 .4 .03
	}
}
textures/lib1_liquid/slime03a_4s1
{	//wave 4
	qer_editorimage textures/lib1_liquid/blend/slime03a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime03a_d1.tga
		q3map_cloneshader textures/lib1_liquid/slime03asubwave_2s1
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 64
	deformVertexes wave 128 sin 0 4 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/slime03a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .03 .03
		tcMod turb 0 .2 .4 .03
	}
}
textures/lib1_liquid/slime03a_8s1
{	//wave 8
	qer_editorimage textures/lib1_liquid/blend/slime03a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime03a_d1.tga
		q3map_cloneshader textures/lib1_liquid/slime03asubwave_2s1
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 64
	deformVertexes wave 256 sin 0 8 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/slime03a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .03 .03
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/slime03asubwave_2s1
{	//subwave
	qer_editorimage textures/lib1_liquid/blend/slime03asubwave_d1.tga
	qer_trans 0.5
		q3map_lightimage textures/lib1_liquid/blend/slime03a_d1.tga
		q3map_fur 1 -4 0
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 32
	deformVertexes wave 128 sin 0 2 0 0.6
	cull none
	{
		map textures/lib1_liquid/blend/slime03asubwave_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll .03 .04
		tcMod turb 0 .2 .2 .04
	}
}
//-- slime -- red -- face
//---------------------------------------------
textures/lib1_liquid/slime03aface_4s1
{	//slime face
	qer_editorimage textures/lib1_liquid/blend/slime03aface_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime03aface_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime03aface_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .04
		tcMod turb 0 .2 0 .02
	}
}
textures/lib1_liquid/slime03aface_8s1
{	//slime face
	qer_editorimage textures/lib1_liquid/blend/slime03aface_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime03aface_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime03aface_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .08
		tcMod turb 0 .2 0 .04
	}
}
//-- slime -- red -- pipe
//---------------------------------------------
textures/lib1_liquid/slime03apipe_4s1
{	//slime pipe
	qer_editorimage textures/lib1_liquid/blend/slime03apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime03apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime03apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .02 .04
	}
}
textures/lib1_liquid/slime03apipe_8s1
{	//slime pipe
	qer_editorimage textures/lib1_liquid/blend/slime03apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime03apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime03apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .04 .08
	}
}
textures/lib1_liquid/slime03atube_4s1
{	//slime tube
	qer_editorimage textures/lib1_liquid/blend/slime03apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime03apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime03apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
	}
	{
		map textures/lib1_liquid/blend/slime03apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll -.02 .02
	}
}
//-- slime -- green -- wave
//---------------------------------------------
textures/lib1_liquid/slime05a_0s1
{	//no wave
	qer_editorimage textures/lib1_liquid/blend/slime05a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime05a_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime05a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
		tcMod turb 0 .2 .2 .04
	}
	{
		map textures/lib1_liquid/blend/slime05asubwave_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 .4 .02
	}
}
textures/lib1_liquid/slime05a_4s1
{	//wave 4
	qer_editorimage textures/lib1_liquid/blend/slime05a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime05a_d1.tga
		q3map_cloneshader textures/lib1_liquid/slime05asubwave_2s1
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 64
	deformVertexes wave 128 sin 0 4 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/slime05a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 .4 .02
	}
}
textures/lib1_liquid/slime05a_8s1
{	//wave 8
	qer_editorimage textures/lib1_liquid/blend/slime05a_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime05a_d1.tga
		q3map_cloneshader textures/lib1_liquid/slime05asubwave_2s1
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 64
	deformVertexes wave 256 sin 0 8 0 0.2
	cull none
	{
		map textures/lib1_liquid/blend/slime05a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .01 .02
		tcMod turb 0 .2 0 .04
	}
}
textures/lib1_liquid/slime05asubwave_2s1
{	//subwave
	qer_editorimage textures/lib1_liquid/blend/slime05asubwave_d1.tga
	qer_trans 0.5
		q3map_lightimage textures/lib1_liquid/blend/slime05a_d1.tga
		q3map_fur 1 -4 0
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	tessSize 32
	deformVertexes wave 128 sin 0 2 0 0.6
	cull none
	{
		map textures/lib1_liquid/blend/slime05asubwave_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll .02 .04
		tcMod turb 0 .2 .2 .04
	}
}
//-- slime -- green -- face
//---------------------------------------------
textures/lib1_liquid/slime05aface_4s1
{	//slime face
	qer_editorimage textures/lib1_liquid/blend/slime05aface_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime05aface_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime05aface_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .04
		tcMod turb 0 .2 0 .02
	}
}
textures/lib1_liquid/slime05aface_8s1
{	//slime face
	qer_editorimage textures/lib1_liquid/blend/slime05aface_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime05aface_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime05aface_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll 0 .08
		tcMod turb 0 .2 0 .04
	}
}
//-- slime -- green -- pipe
//---------------------------------------------
textures/lib1_liquid/slime05apipe_4s1
{	//slime pipe
	qer_editorimage textures/lib1_liquid/blend/slime05apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime05apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime05apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .02 .04
	}
}
textures/lib1_liquid/slime05apipe_8s1
{	//slime pipe
	qer_editorimage textures/lib1_liquid/blend/slime05apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime05apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime05apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.9 0.9 )
		tcmod scroll .04 .08
	}
}
textures/lib1_liquid/slime05atube_4s1
{	//slime tube
	qer_editorimage textures/lib1_liquid/blend/slime05apipe_d1.tga
	qer_trans 0.6
		q3map_lightimage textures/lib1_liquid/blend/slime05apipe_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/lib1_liquid/blend/slime05apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .02 .04
	}
	{
		map textures/lib1_liquid/blend/slime05apipe_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll -.02 .02
	}
}